"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = getScrollbarWidth;
var _domCss = _interopRequireDefault(require("dom-css"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
var scrollbarWidth = false;
function getScrollbarWidth() {
  var cacheEnabled = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
  if (cacheEnabled && scrollbarWidth !== false) return scrollbarWidth;
  /* istanbul ignore else */
  if (typeof document !== 'undefined') {
    var div = document.createElement('div');
    (0, _domCss["default"])(div, {
      width: 100,
      height: 100,
      position: 'absolute',
      top: -9999,
      overflow: 'scroll',
      MsOverflowStyle: 'scrollbar'
    });
    document.body.appendChild(div);
    scrollbarWidth = div.offsetWidth - div.clientWidth;
    document.body.removeChild(div);
  } else {
    scrollbarWidth = 0;
  }
  return scrollbarWidth || 0;
}